Jetzt dauerhaft kostenlos im Basis-Tarif.
Installiere unsere App 🪄 Klicken Sie auf das Symbol oben rechts in der Adressleiste.

Kontakte

GET https://smseasy.de/api/contacts/
curl --request GET \
--url 'https://smseasy.de/api/contacts/' \
--header 'Authorization: Bearer {api_key}' \
Parameter Einzelheiten Beschreibung
page Optional Ganzzahl Die Seitennummer, von der Sie Ergebnisse erhalten möchten. Standardmäßig auf 1.
results_per_page Optional Ganzzahl Wie viele Ergebnisse Sie pro Seite möchten. Zulässige Werte sind: 10, 25, 50, 100, 250, 500, 1000. Der Standardwert ist 25.
search Optional Zeichenkette Die Suchzeichenfolge.
search_by Optional Zeichenkette Nach welchem Feld suchen Sie. Zulässige Werte sind: name, phone_number.
user_id Optional Ganzzahl Filter results by user ID.
has_opted_out Optional Boolesch
continent_code Optional Zeichenkette Zulässige Werte: AF, AN, AS, EU, NA, OC, SA
country_code Optional Zeichenkette Zulässige Werte: AF, AX, AL, DZ, AS, AD, AO, AI, AQ, AG, AR, AM, AW, AU, AT, AZ, BS, BH, BD, BB, BY, BE, BZ, BJ, BM, BT, BO, BQ, BA, BW, BV, BR, IO, BN, BG, BF, BI, KH, CM, CA, CV, KY, CF, TD, CL, CN, CX, CC, CO, KM, CG, CD, CK, CR, CI, HR, CU, CW, CY, CZ, DK, DJ, DM, DO, EC, EG, SV, GQ, ER, EE, ET, FK, FO, FJ, FI, FR, GF, PF, TF, GA, GM, GE, DE, GH, GI, GR, GL, GD, GP, GU, GT, GG, GN, GW, GY, HT, HM, VA, HN, HK, HU, IS, IN, ID, IR, IQ, IE, IM, IL, IT, JM, JP, JE, JO, KZ, KE, KI, KP, KR, KW, KG, LA, LV, LB, LS, LR, LY, LI, LT, LU, MO, MK, MG, MW, MY, MV, ML, MT, MH, MQ, MR, MU, YT, MX, FM, MD, MC, MN, ME, MS, MA, MZ, MM, NA, NR, NP, NL, NC, NZ, NI, NE, NG, NU, NF, MP, NO, OM, PK, PW, PS, PA, PG, PY, PE, PH, PN, PL, PT, PR, QA, RE, RO, RU, RW, BL, SH, KN, LC, MF, PM, VC, WS, SM, ST, SA, SN, RS, SC, SL, SG, SX, SK, SI, SB, SO, ZA, GS, SS, ES, LK, SD, SR, SJ, SZ, SE, CH, SY, TW, TJ, TZ, TH, TL, TG, TK, TO, TT, TN, TR, TM, TC, TV, UG, UA, AE, GB, US, UM, UY, UZ, VU, VE, VN, VG, VI, WF, EH, YE, ZM, ZW
datetime_field Optional Zeichenkette Zulässige Werte: last_sent_datetime, last_received_datetime, datetime, last_datetime
datetime_start Optional Zeichenkette Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end Optional Zeichenkette Filter results up to this datetime. Y-m-d H:i:s format.
order_by Optional Zeichenkette Nach welchem Feld die Ergebnisse sortiert werden sollen. Zulässige Werte sind: contact_id, name, phone_number, last_sent_datetime, last_received_datetime, datetime, last_datetime, total_sent_sms, total_pending_sms, total_failed_sms, total_received_sms.
order_type Optional Zeichenkette Die Reihenfolge der Ergebnisse. Zulässige Werte sind: ASC für aufsteigende Reihenfolge, und DESC für absteigende Reihenfolge.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "name": "John Doe",
            "phone_number": "+123 123 123",
            "custom_parameters": {
                "age": 18,
            },
            "continent_code": "EU",
            "country_code": "IT",
            "has_opted_out": false,
            "total_sent_sms": 10,
            "total_pending_sms": 5,
            "total_failed_sms": 0,
            "total_received_sms": 20,
            "last_sent_datetime": "2026-06-13 04:52:17",
            "last_received_datetime": "2026-06-13 04:52:17",
            "last_datetime": null,
            "datetime": "2026-06-13 04:52:17",
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://smseasy.de/api/contacts?page=1",
        "last": "https://smseasy.de/api/contacts?page=1",
        "next": null,
        "prev": null,
        "self": "https://smseasy.de/api/contacts?page=1"
    }
}
GET https://smseasy.de/api/contacts/{contact_id}
curl --request GET \
--url 'https://smseasy.de/api/contacts/{contact_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "name": "John Doe",
        "phone_number": "+123 123 123",
        "custom_parameters": {
            "age": 18,
        },
        "continent_code": "EU",
        "country_code": "IT",
        "has_opted_out": false,
        "total_sent_sms": 10,
        "total_pending_sms": 5,
        "total_failed_sms": 0,
        "total_received_sms": 20,
        "last_sent_datetime": "2026-06-13 04:52:17",
        "last_received_datetime": "2026-06-13 04:52:17",
        "last_datetime": null,
        "datetime": "2026-06-13 04:52:17",
    }
}
POST https://smseasy.de/api/contacts
Parameter Einzelheiten Beschreibung
phone_number Erforderlich Zeichenkette -
name Optional Zeichenkette -
custom_parameter_key[index] Optional Zeichenkette -
custom_parameter_value[index] Optional Zeichenkette -
curl --request POST \
--url 'https://smseasy.de/api/contacts' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'phone_number=+1231231231' \
--form 'name=Example name' \
{
    "data": {
        "id": 1
    }
}
POST https://smseasy.de/api/contacts/{contact_id}
Parameter Einzelheiten Beschreibung
phone_number Optional Zeichenkette -
name Optional Zeichenkette -
custom_parameter_key[index] Optional Zeichenkette -
custom_parameter_value[index] Optional Zeichenkette -
curl --request POST \
--url 'https://smseasy.de/api/contacts/{contact_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'custom_parameter_key[0]=name' \
--form 'custom_parameter_value[0]=john@example.com' \
{
    "data": {
        "id": 1
    }
}
DELETE https://smseasy.de/api/contacts/{contact_id}
curl --request DELETE \
--url 'https://smseasy.de/api/contacts/{contact_id}' \
--header 'Authorization: Bearer {api_key}' \